Bug 654960 - info test reports a pass even though kernel validation fails.
Summary: info test reports a pass even though kernel validation fails.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5.3
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Guangze Bai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-19 07:20 UTC by Jianwei Weng
Modified: 2015-02-08 21:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In v7 1.2, info test reported PASS even when kernel validation failed. This issue has been fixed in v7 1.3, now info test reports FAIL correctly if kernel validation fails.
Clone Of:
Environment:
Last Closed: 2011-05-09 16:16:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
results,xml showing failed info test for modified kernel files (2.36 MB, application/xml)
2011-01-21 13:13 UTC, Greg Nichols
no flags Details
test.py patch to flush output and catch exceptions during subtests (726 bytes, patch)
2011-01-21 13:27 UTC, Greg Nichols
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0497 normal SHIPPED_LIVE v7 bug fix and enhancement update 2011-05-09 16:11:16 UTC

Description Jianwei Weng 2010-11-19 07:20:46 UTC
Info test passed with Error: files from kernel-2.6.32-71.el6 were modified

<output>
Running ./info.py:
missing     /boot/.vmlinuz-2.6.32-71.el6.x86_64.hmac
missing     /boot/System.map-2.6.32-71.el6.x86_64
missing     /boot/config-2.6.32-71.el6.x86_64
missing     /boot/symvers-2.6.32-71.el6.x86_64.gz
missing     /boot/vmlinuz-2.6.32-71.el6.x86_64
Tested OS: Red Hat Enterprise Linux Server 6 (Santiago)
Kernel RPM: kernel-2.6.32-71.el6
v7 version 1.2, release 25
<output name="Verify v7" description="Verify the v7 installation">
<summary>PASS</summary>
</output>
<output name="Kernel" description="Check OS kernel build, version">
+ rpm -ql kernel-2.6.32-71.el6
Error: files from kernel-2.6.32-71.el6 were modified
Boot Parameters: ro root=/dev/mapper/VolGroup-lv_root rd_LVM_LV=VolGroup/lv_root rd_LVM_LV=VolGroup/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us crashkernel=129M@0M rhgb quiet
<summary>FAIL</summary>
</output>
<output name="Modules" description="Check kernel modules">
......
</output>
...finished running ./info.py, exit code=0

Please see https://hardware.redhat.com/show.cgi?id=654926
https://hardware.redhat.com/results.cgi?cert_id=654926&id=215061

Comment 2 Greg Nichols 2011-01-21 13:13:52 UTC
Created attachment 474621 [details]
results,xml showing failed info test for modified kernel files

Comment 3 Greg Nichols 2011-01-21 13:27:33 UTC
Created attachment 474626 [details]
test.py patch to flush output and catch exceptions during subtests

This patch adds an exception handler to the Test.runSubtest wrapper.  I suspect some subtests are raising unhandled exceptions, which results in invalid XML and possibly lost output (stdout and stderr) for the subtest.   This patch may also be relevant to bug 665272.

Comment 8 Caspar Zhang 2011-05-01 09:05:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In v7 1.2, info test reported PASS even when kernel validation failed. This issue has been fixed in v7 1.3, now info test reports FAIL correctly if kernel validation fails.

Comment 9 errata-xmlrpc 2011-05-09 16:16:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0497.html


Note You need to log in before you can comment on or make changes to this bug.